#ifndef __COMPAT_SOCK_H__
#   define __COMPAT_SOCK_H__


#include <net/sock.h>


/*
 * Between 2.5.70 and 2.5.71 all sock members were renamed from XXX to sk_XXX.
 * Fortunately at same time also sk_family macro was introduced...
 */
#if !defined(sk_family)
#   define sk_wmem_alloc wmem_alloc
#endif


#endif /* __COMPAT_SOCK_H__ */
